Bug 1020794 - gnome-shell: notify-send triggers crash
gnome-shell: notify-send triggers crash
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 05:43 EDT by Florian Weimer
Modified: 2015-02-17 12:43 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:43:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2013-10-18 05:43:00 EDT
gnome-shell-3.8.4-2.fc19.x86_64 crashes for me when I run this command:

$ notify-send -u low -t 5000 -i /missing.svg foo bar

The key part appears to be the -i argument.

I can also reproduce this with gnome-shell-3.10.0.1-1.fc20.x86_64.

A backtrace on F19 looks like this:

#0  0x00007fd49f49a660 in g_slist_find (list=0x2d72657474756c63 = {...}, data=data@entry=0x24a08f0) at gslist.c:727
#1  0x00007fd49f775f8a in g_object_notify_queue_add (nqueue=nqueue@entry=0x4d52050, pspec=0x24a08f0, object=<optimized out>) at gobject.c:305
#2  0x00007fd49f7777c4 in g_object_notify_by_spec_internal (pspec=<optimized out>, object=0x2cd2830) at gobject.c:1130
#3  g_object_notify_by_pspec (object=object@entry=0x2cd2830, pspec=<optimized out>) at gobject.c:1237
#4  0x00007fd4a36d85fe in clutter_actor_notify_if_geometry_changed (old=<optimized out>, self=<optimized out>) at ./clutter-actor.c:2343
#5  clutter_actor_set_x_internal (x=<optimized out>, self=<optimized out>) at ./clutter-actor.c:10873
#6  clutter_actor_set_animatable_property (actor=actor@entry=0x2cd2830, prop_id=<optimized out>, value=value@entry=0x7fffb84f8b50, pspec=pspec@entry=0x24cb180)
    at ./clutter-actor.c:14631
#7  0x00007fd4a36d9155 in _clutter_actor_create_transition (actor=0x2cd2830, pspec=0x24cb180) at ./clutter-actor.c:18779
#8  0x00007fd4a36dd0e0 in clutter_actor_set_property (object=0x2cd2830, prop_id=<optimized out>, value=<optimized out>, pspec=<optimized out>) at ./clutter-actor.c:4886
#9  0x00007fd49f779569 in object_set_property (nqueue=0x4d52050, value=0x7fffb84f8d98, pspec=0x24cb180, object=0x2cd2830) at gobject.c:1358
#10 g_object_set_property (object=0x2cd2830, property_name=<optimized out>, value=value@entry=0x7fffb84f8d98) at gobject.c:2155
#11 0x00007fd4a80201e5 in object_instance_set_prop (context=0x238ccb0, obj=<optimized out>, id=<optimized out>, strict=<optimized out>, value_p=0x7fffb84f9240)
    at gi/object.c:365
#12 0x00007fd4a7b7d5e8 in CallJSPropertyOpSetter (vp=0x7fffb84f9240, strict=<optimized out>, id=<optimized out>, obj=<optimized out>, op=<optimized out>, cx=0x238ccb0)
    at jscntxtinlines.h:761
#13 set (vp=0x7fffb84f9240, strict=true, obj=<optimized out>, cx=0x238ccb0, this=0x3c947f0) at jsscopeinlines.h:282
#14 js_NativeSet (cx=cx@entry=0x238ccb0, obj=obj@entry=0x7fd47b075ea0, shape=0x3c947f0, added=added@entry=false, strict=strict@entry=false, vp=vp@entry=0x7fffb84f9240)
    at jsobj.cpp:5313
#15 0x00007fd4a7b80ac7 in js_SetPropertyHelper (cx=0x238ccb0, obj=0x7fd47b075ea0, id=<optimized out>, defineHow=<optimized out>, vp=0x7fffb84f9240, strict=0)
    at jsobj.cpp:5791
#16 0x00007fd4a7b52566 in setProperty (strict=<optimized out>, vp=0x7fffb84f9240, id=<optimized out>, cx=0x238ccb0, this=0x7fd47b075ea0) at jsobj.h:1238
#17 js::Interpret (cx=cx@entry=0x238ccb0, entryFrame=entryFrame@entry=0x7fd4859dd318, inlineCallCount=2, inlineCallCount@entry=0, 
    interpMode=interpMode@entry=JSINTERP_NORMAL) at jsinterp.cpp:4631
#18 0x00007fd4a7b61a56 in js::RunScript (cx=cx@entry=0x238ccb0, script=script@entry=0x258bb10, fp=fp@entry=0x7fd4859dd318) at jsinterp.cpp:653
#19 0x00007fd4a7b63c3d in js::Invoke (cx=cx@entry=0x238ccb0, argsRef=..., flags=<optimized out>, flags@entry=0) at jsinterp.cpp:740
#20 0x00007fd4a7b317d2 in js_fun_apply (cx=0x238ccb0, argc=<optimized out>, vp=0x7fd4859dd2d0) at jsfun.cpp:2205
#21 0x00007fd4a7b57ab4 in CallJSNative (vp=0x7fd4859dd2d0, argc=2, native=<optimized out>, cx=0x238ccb0) at jscntxtinlines.h:701
#22 js::Interpret (cx=cx@entry=0x238ccb0, entryFrame=entryFrame@entry=0x7fd4859dd1d0, inlineCallCount=1, inlineCallCount@entry=0, 
    interpMode=interpMode@entry=JSINTERP_NORMAL) at jsinterp.cpp:4799
#23 0x00007fd4a7b61a56 in js::RunScript (cx=cx@entry=0x238ccb0, script=script@entry=0x24a6d30, fp=fp@entry=0x7fd4859dd1d0) at jsinterp.cpp:653
#24 0x00007fd4a7b63c3d in js::Invoke (cx=cx@entry=0x238ccb0, argsRef=..., flags=<optimized out>, flags@entry=0) at jsinterp.cpp:740
#25 0x00007fd4a7b317d2 in js_fun_apply (cx=0x238ccb0, argc=<optimized out>, vp=0x7fd4859dd198) at jsfun.cpp:2205
#26 0x00007fd4a7b57ab4 in CallJSNative (vp=0x7fd4859dd198, argc=2, native=<optimized out>, cx=0x238ccb0) at jscntxtinlines.h:701
#27 js::Interpret (cx=cx@entry=0x238ccb0, entryFrame=entryFrame@entry=0x7fd4859dd0b0, inlineCallCount=1, inlineCallCount@entry=0, 
    interpMode=interpMode@entry=JSINTERP_NORMAL) at jsinterp.cpp:4799
#28 0x00007fd4a7b61a56 in js::RunScript (cx=cx@entry=0x238ccb0, script=script@entry=0x24bc250, fp=fp@entry=0x7fd4859dd0b0) at jsinterp.cpp:653
#29 0x00007fd4a7b63c3d in js::Invoke (cx=cx@entry=0x238ccb0, argsRef=..., flags=<optimized out>, flags@entry=0) at jsinterp.cpp:740
#30 0x00007fd4a7b31285 in js::CallOrConstructBoundFunction (cx=0x238ccb0, argc=<optimized out>, vp=0x7fd4859dd038) at jsfun.cpp:2319
#31 0x00007fd4a7b639db in CallJSNative (vp=0x7fd4859dd038, argc=2, native=<optimized out>, cx=0x238ccb0) at jscntxtinlines.h:701
#32 js::Invoke (cx=cx@entry=0x238ccb0, argsRef=..., flags=flags@entry=0) at jsinterp.cpp:703
#33 0x00007fd4a7b641a7 in js::ExternalInvoke (cx=0x238ccb0, thisv=..., fval=..., argc=<optimized out>, argv=0x7fffb84f9e70, rval=0x7fffb84f9ec8) at jsinterp.cpp:863
#34 0x00007fd4a7acd749 in JS_CallFunctionValue (cx=cx@entry=0x238ccb0, obj=obj@entry=0x0, fval=fval@entry=18445617987064102016, argc=argc@entry=2, 
    argv=argv@entry=0x7fffb84f9e70, rval=rval@entry=0x7fffb84f9ec8) at jsapi.cpp:5145
#35 0x00007fd4a800fbae in gjs_call_function_value (context=context@entry=0x238ccb0, obj=obj@entry=0x0, fval=18445617987064102016, argc=argc@entry=2, 
    argv=argv@entry=0x7fffb84f9e70, rval=rval@entry=0x7fffb84f9ec8) at gjs/jsapi-util.c:715
#36 0x00007fd4a801afaa in gjs_closure_invoke (closure=closure@entry=0x24bdb70, argc=argc@entry=2, argv=argv@entry=0x7fffb84f9e70, retval=retval@entry=0x7fffb84f9ec8)
    at gi/closure.c:276
#37 0x00007fd4a8027698 in closure_marshal (closure=0x24bdb70, return_value=0x0, n_param_values=2, param_values=<optimized out>, invocation_hint=<optimized out>, 
    marshal_data=<optimized out>) at gi/value.c:129
#38 0x00007fd49f771a28 in g_closure_invoke (closure=0x24bdb70, return_value=return_value@entry=0x0, n_param_values=2, param_values=param_values@entry=0x7fffb84fa0e0, 
    invocation_hint=invocation_hint@entry=0x7fffb84fa080) at gclosure.c:777
#39 0x00007fd49f782a3d in signal_emit_unlocked_R (node=node@entry=0x24291c0, detail=detail@entry=0, instance=instance@entry=0x251e930, 
    emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x7fffb84fa0e0) at gsignal.c:3584
#40 0x00007fd49f78a829 in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=var_args@entry=0x7fffb84fa278)
    at gsignal.c:3328
#41 0x00007fd49f78aa72 in g_signal_emit (instance=instance@entry=0x251e930, signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3384
#42 0x00007fd4a3738907 in emit_frame_signal (timeline=timeline@entry=0x251e930) at ./clutter-timeline.c:970
#43 0x00007fd4a373972d in clutter_timeline_do_frame (timeline=0x251e930) at ./clutter-timeline.c:1031
#44 0x00007fd4a370caf0 in master_clock_advance_timelines (master_clock=0x2312c80) at ./clutter-master-clock.c:426
#45 clutter_clock_dispatch (source=source@entry=0x241a570, callback=<optimized out>, user_data=<optimized out>) at ./clutter-master-clock.c:586
#46 0x00007fd49f47de06 in g_main_dispatch (context=0xd09870) at gmain.c:3054
#47 g_main_context_dispatch (context=context@entry=0xd09870) at gmain.c:3630
#48 0x00007fd49f47e158 in g_main_context_iterate (context=0xd09870, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3701
#49 0x00007fd49f47e55a in g_main_loop_run (loop=0xd0c180) at gmain.c:3895
#50 0x00007fd4a82a1d41 in meta_run () at core/main.c:556
#51 0x0000000000401e8f in main (argc=1, argv=0x7fffb84fa698) at main.c:410
Comment 2 Fedora End Of Life 2015-01-09 15:17:29 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 12:43:32 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.